Apache log4cxx Version @version@

Public Member Functions | Protected Attributes | List of all members
ObjectImpl Class Reference

Implementation class for Object. More...

`#include <objectimpl.h>`

Inheritance diagram for ObjectImpl:

## Public Member Functions
| ObjectImpl ()
virtual | ~ObjectImpl ()
void | addRef () const
void | releaseRef () const
Public Member Functions inherited from Object
virtual const helpers::Class & | getClass () const
virtual | ~Object ()
virtual void | addRef () const =0
virtual void | releaseRef () const =0
virtual bool | instanceof (const Class &clazz) const =0
virtual const void * | cast (const Class &clazz) const =0

## Protected Attributes
unsigned int volatile | ref

## Additional Inherited Members
Static Public Member Functions inherited from Object
static const helpers::Class & | getStaticClass ()
static const log4cxx::helpers::ClassRegistration & | registerClass ()

## Detailed Description

Implementation class for Object.

## Constructor & Destructor Documentation

## ◆ ObjectImpl()

ObjectImpl | ( |  | ) |

## ◆ ~ObjectImpl()

virtual ~ObjectImpl | ( |  | ) |
| virtual

## Member Function Documentation

## ◆ addRef()

void addRef | ( |  | ) | const
| virtual

Implements Object.

Reimplemented in OnlyOnceErrorHandler, Hierarchy, Layout, Logger, PropertyConfigurator, RollingPolicyBase, TimeBasedRollingPolicy, TriggeringPolicy, DefaultRepositorySelector, Filter, FallbackErrorHandler, and DOMConfigurator.

## ◆ releaseRef()

void releaseRef | ( |  | ) | const
| virtual

Implements Object.

Reimplemented in OnlyOnceErrorHandler, Hierarchy, Layout, Logger, PropertyConfigurator, RollingPolicyBase, TimeBasedRollingPolicy, TriggeringPolicy, DefaultRepositorySelector, Filter, FallbackErrorHandler, and DOMConfigurator.

## Member Data Documentation

## ◆ ref

unsigned int volatile ref
| mutable protected

The documentation for this class was generated from the following file:

- objectimpl.h